Форумы портала PHP.SU » PHP » PEAR и PECL » Проблема с Composer

Страниц (2): [1] 2 »
 

1. Crate - 12 Июля, 2013 - 14:59:06 - перейти к сообщению
Работаю с Open Server. Установил Composer, попытался собрать проект, но он выдал ошибку:

CODE (htmlphp):
скопировать код в буфер обмена
  1. You must enable the openssl extension to download files via https

Проверил конфиги, там все включено. Что делать?
2. caballero - 12 Июля, 2013 - 15:07:20 - перейти к сообщению
версия пыха какая?
3. Crate - 12 Июля, 2013 - 15:09:20 - перейти к сообщению
caballero, 5.3.26, openssl есть, extension не закомментирован.
4. LIME - 12 Июля, 2013 - 15:13:31 - перейти к сообщению
phpinfo() ?
5. Crate - 12 Июля, 2013 - 15:16:17 - перейти к сообщению
LIME
OpenSSL support - enabled
OpenSSL Library Version - OpenSSL 1.0.1e 11 Feb 2013
OpenSSL Header Version - OpenSSL 0.9.8y 5 Feb 2013
6. Panoptik - 12 Июля, 2013 - 15:22:10 - перейти к сообщению
а нет ли там случайно иного конфига для CLI режима или что-то типа того
7. Crate - 12 Июля, 2013 - 15:24:33 - перейти к сообщению
Panoptik, вроде нет.
8. Panoptik - 12 Июля, 2013 - 15:29:17 - перейти к сообщению
9. VenZell - 12 Июля, 2013 - 15:30:06 - перейти к сообщению
Цитата:
попытался собрать проект

Внимание, сейчас будет сказана глупость!
А ты пробовал собирать через встроенную консоль OpenServer?

upd: глупость была зря сказана. Улыбка
10. Crate - 12 Июля, 2013 - 15:36:45 - перейти к сообщению
Panoptik, сейчас будут лютые скриншоты.
Конфиг: http://take[dot]ms/IZyFz
Консоль: http://take[dot]ms/mvikQ2
11. VenZell - 12 Июля, 2013 - 15:45:47 - перейти к сообщению
Crate, а все-таки попробуй через консоль OpenServer'а. Правой кнопкой по иконке в трее => Дополнительно => Консоль. Вот ради интереса хотя бы.
12. Crate - 12 Июля, 2013 - 15:46:21 - перейти к сообщению
VenZell, там не работает компоузер.
13. caballero - 12 Июля, 2013 - 16:11:40 - перейти к сообщению
у меня композер не работал пока не поменял пых на версию 5.3.3
14. Crate - 12 Июля, 2013 - 17:12:47 - перейти к сообщению
caballero, у вас тоже опен сервер?
15. caballero - 12 Июля, 2013 - 18:01:02 - перейти к сообщению
у меня денвер

но с опенсервером нет никаких проблем с коспозером
просто настройте на последнюю версию PHP

кстати он еще git потребует
хоть и написано что юзает API но тем не менее хахотел инсталяци.ю чтобы пинать с командной строки

 

Powered by ExBB FM 1.0 RC1